<?xml version="1.0" encoding="utf-8"?>
<GridLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/GridLayout1"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:columnCount="3"
    android:rowCount="7"
    android:orientation="vertical"
     >

    <Button
        android:id="@+id/button1"
        android:text="Button1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="0"
        android:layout_row="0"
        android:layout_gravity="fill_horizontal"
        />
    <Button
        android:id="@+id/button2"
        android:text="Button2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="1"
        android:layout_row="0"
        android:layout_gravity="fill_horizontal"
        />
    <Button
        android:id="@+id/button3"
        android:text="Button3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="2"
        android:layout_row="0"
        android:layout_gravity="fill_horizontal"
        />


    <Button
        android:id="@+id/button4"
        android:text="Button4"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="0"
        android:layout_row="1"
        android:layout_gravity="fill_horizontal"
        />
    <Button
        android:id="@+id/button5"
        android:text="Button5"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="1"
        android:layout_row="1"
        android:layout_gravity="fill_horizontal"
        />
    <Button
        android:id="@+id/button6"
        android:text="Button6"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="2"
        android:layout_row="1"
        android:layout_gravity="fill_horizontal"
        />


    <Button
        android:id="@+id/button7"
        android:text="Button7"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="0"
        android:layout_row="2"
        android:layout_columnSpan="2"
        android:layout_gravity="fill_horizontal"
        />

    <Button
        android:id="@+id/button8"
        android:text="Button8"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="0"
        android:layout_row="3"
        android:width="120dp"
        android:layout_columnSpan="3"
        android:layout_gravity="center"
        />

    <!--  *++++++++++++++++++- -->
    <Button
        android:id="@+id/button9"
        android:text="Button9"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="0"
        android:layout_rowSpan="2"
        android:layout_row="4"
        android:layout_gravity="center_vertical"
        />
    <Button
        android:id="@+id/button10"
        android:text="Button10"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="1"
        android:layout_row="4"
        android:layout_gravity="fill_horizontal"
        />
    <Button
        android:id="@+id/button11"
        android:text="Button11"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="2"
        android:layout_row="4"
        android:layout_gravity="fill_horizontal"
        />


    <Button
        android:id="@+id/button13"
        android:text="Button13"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="1"
        android:layout_row="5"
        android:layout_gravity="fill_horizontal"
        />
    <Button
        android:id="@+id/button14"
        android:text="Button14"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_column="2"
        android:layout_row="5"
        android:layout_gravity="fill_horizontal"
        />


</GridLayout>

